{assign var="strOverviewId" value=$arr.overviewID}

<form method="post" action="{$pageself}{$arr.anchor}" id="rform_{$arr.overviewID}">
	<input type="hidden" name="overviewID" value="{$arr.overviewID}" />
	<input type="hidden" name="vreset" value="1" />
</form>
		
{if $onlyFilter == 1}
	
	<div id="views" class="noPadding">
		<p>
			<span class="vHeader floatL">{'currentFilters'|l}</span>
			<span>
				{if $arr.filter}
					{assign var="oid" value=$arr.overviewID}
					{foreach key=fikey item=filter from=$arr.filter name=ovtf}
						{$filter} <a href="{$pageself}&overviewID={$oid}&vrfilter={$fikey}{$arr.anchor}"><span aria-hidden="true" data-icon="&#xe003;"></span></a>
						{if !$smarty.foreach.ovtf.last}&nbsp; <i>{'and'|l}</i> &nbsp;{/if}
					{/foreach}
				{else}
					<i>{'none'|l}</i>
				{/if}
			</span>
			<br class="clear" />
		</p>
		<p>
			<span class="vHeader">{'categories'|l}</span>
			<span id="tags_{$arr.overviewID}">
				{if $arr.tags}
					{include file='ajax/listAvailableTags.tpl' arrTags=$arr.tags hideTagCount=$arr.hidetagcount}
				{else}
					<i>{'none'|l}</i>
				{/if}
			</span>
		</p>
	</div>
	
{else}

	<div id="identShowHide" style="display:none;">{$strOverviewId}</div>
	
	<div id="showViews" {if !$userhide.$strOverviewId}style="display:none"{/if}>{'viewsCurrentFiltersAndCategories'|l}</div>
	
	<div id="views" {if $userhide.$strOverviewId}style="display:none"{/if}>
		<a href="#" id="hideViews">&nbsp;</a>

		<table class="overview">
			<tbody>
				<tr>
					<th>{'views'|l}</th>
					<td id="view_{$arr.overviewID}">{include file='ajax/listAvailableViews.tpl' arrViews=$arr.arrAvailableViews}</td>
				</tr>
				<tr>
					<th>{'currentFilters'|l}</th>
					<td>
						{if $arr.filter}
							{assign var="oid" value=$arr.overviewID}
							{foreach key=fikey item=filter from=$arr.filter name=ovtf}
								{$filter} <a href="{$pageself}&overviewID={$oid}&vrfilter={$fikey}{$arr.anchor}"><span aria-hidden="true" data-icon="&#xe003;"></span></a>
								{if !$smarty.foreach.ovtf.last}&nbsp; <i>und</i> &nbsp;{/if}
							{/foreach}
							{else}
                            <i>{'none'|l}</i>
						{/if}
					</td>
				</tr>
				<tr>
					<th>{'categories'|l}</th>
					<td id="tags_{$arr.overviewID}">
						{if $arr.tags}
							{include file='ajax/listAvailableTags.tpl' arrTags=$arr.tags hideTagCount=$arr.hidetagcount}
						{else}
                        	<i>{'none'|l}</i>
						{/if}
                    </td>
				</tr>
			</tbody>
		</table>

		<div class="ui-helper-clearfix viewButtons">
			<div class="btn-group floatL">
				<a href="#" class="btn btn-mini" id="saveView">{'saveCurrentView'|l}</a>
				<a onclick="$('#rform_{$arr.overviewID}').submit();" class="btn btn-mini">{'resetView'|l}</a>
			</div>
				{if $arr.showexport}
				<div class="btn-group floatR">
					<a href="{$pageself}&overviewID={$arr.overviewID}&export=xls" target="_blank" class="btn btn-mini btn-inverse tip" title="{'tip_exportHint'|l}">{'btn_exportExcel'|l}</a>
					<a href="{$pageself}&overviewID={$arr.overviewID}&export=csv" target="_blank" class="btn btn-mini btn-inverse tip" 	title="{'tip_exportHint'|l}">{'btn_exportCSV'|l}</a>
				</div>
			{/if}
        </div>
		
		{* VIEW-TITLE FORM *}
			<div id="dialog-form" title="{'saveOverviewAsView'|l}" class="hide">
			<p class="validateTips"></p>
			<form>
				<table class="stdForm" style="width: 500px;">
					<tr class="row1">
						<td><label for="name">{'titleOfView'|l}</label></td>
						<td><input type="text" name="name" id="name" class="text" size="40" /></td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td>
							<label class="checkbox" for="privcheck">
								<input type="checkbox" name="privcheck" id="privcheck"> {'onlyVisibleForMe'|l}
							</label>
						</td>
					</tr>
					<tr class="hide">
						<td>&nbsp;</td>
						<td><input type="submit" /></td>
					</tr>
				</table>
			</form>
		</div>
	</div>
	
	
	{literal}
	<script type="text/javascript">
		
		$(document).ready(function(){
			
			// dialog form view title
			var name = $("#name"),
			    allFields = $([]).add(name),
			    tips = $(".validateTips");
	
			// prepare dialog
			$('#dialog-form').dialog({
				width: 525,
			    buttons: {
			    	'speichern': function(){
			    		var bValid = true;
			    		allFields.removeClass('formError');
			    		bValid = bValid && checkLength(name,"name",1,30);
			    		if(bValid){
			    			if ($("#privcheck").is(':checked')) saveView('{/literal}{$arr.overviewID}{literal}',name.val(),1);
			    			else saveView('{/literal}{$arr.overviewID}{literal}',name.val(),0);
			    			$(this).dialog('close');
			    			$(window).unbind('beforeunload');
			    		}
			    	},
					'abbrechen': function(){
						$(this).dialog('close');
					}
			    },
			    close: function(){
			    	allFields.val('').removeClass('formError');
			    	$(window).unbind('beforeunload');
			    }
			});		
	
			// submit by return key
			$('#dialog-form form').submit(function(e){
				e.preventDefault();
				$('.ui-dialog-buttonpane button').trigger('click');
			});
			
			// show dialog		
			$('#saveView').click(function(e){
				e.preventDefault();
				$('#dialog-form').dialog('open');
				removeUiClasses();	
			});
		});
		
	</script>
	{/literal}

{/if}