{if $show_entries == 1}
	<table class="overview" style="width: 650px;">
		<tr>
			<td colspan="4" class="noBg" style="padding:0 !important;">
				<div class="bulkCnt ui-corner-top ui-helper-clearfix">
					<div class="btn-group floatL">
                        <a class="btn btn-small btn-mini miteEntriesAll" href="#">{'all'|l}</a>
                        <a class="btn btn-small btn-mini miteEntriesNone" href="#">{'none'|l}</a>
					</div>
					<span class="floatR bold">
						{if $entries|@count == 1}
							{'oneRecordFound'|l}
						{else}
							{assign var='counter' value=$entries|@count}
							{'xRecordsFound'|l:$counter}
						{/if} 
					</span>
				</div>
			</td>
		</tr>
		<tr>
			<th style="width: 25px;">&nbsp;</th>
			<th style="width: 80px;" class="right">{'th_hours'|l}</th>
			<th>{'th_itemText'|l}</th>
			<th style="width: 80px;" class="center">{'th_unitPrice'|l}</th>
		</tr>
		{foreach from=$entries key=key item=entry name=mite}
			<tr{if $smarty.foreach.mite.index%2==0} class="row2"{/if} onclick="toggleCheckbox(this,event);">
				<td><input type="checkbox" name="entry_{$key}_checkbox" value="1" /></td>
				<td class="right">{$entry.hours} <input type="input" name="entry_{$key}_unit" value="h" style="width: 10px;"/></td>
				<td{if $entry.billable == "false"} class="cGray"{/if}>{$entry.postxt}</td>
				<td class="center">
					<input type="hidden" name="entry_{$key}_postxt" value="{$entry.postxt}" />
					<input type="hidden" name="entry_{$key}_hours" value="{$entry.hours}" />			
					<input type="hidden" name="entry_{$key}_miteid" value="{$entry.id}" />			
					<input type="input" name="entry_{$key}_price" value="{$entry.ep}" style="width: 30px;" class="ep" /> <span class="defaultCurrency"></span>
				</td>
			</tr>
		{/foreach}
	</table>
	<table class="stdForm" style="width: 650px;">
		<tr>
			<td>
				<input type="hidden" value="{$count_entries}" name="count_entries" />
				<input type="submit" value="{'addItems'|l}" name="add_entries" class="btn btn-info" />
				
				{if $showlock == 1} <input type="submit" value="{'addItemsAndLockInMite'|l}" name="add_entries_and_lock" class="btn" />{/if}
			</td>
		</tr>
	</table>
{/if}
	
{if $show_entries == 0}
	<p><em>{'noTimeEntriesForGivenFilter'|l}</em></p>
{/if}